Description

=begin

斎藤と申します。拡張ライブラリの作者・librubyの1ユーザーです。

1.9.2で導入される予定のTypedDataについてのドキュメントが、まったく

ない事で困っています。具体的には、README.EXT{,.ja}に追記がなされ

ないと、拡張ライブラリ作者(つまり今の自分)としては

・今までのDataとの違いはなんだろう?

・今までのDataのAPIはobsoleteなんだろうか?

・それとも新しいTypedDataは内部向けで触っていけないものだろうか?

という疑問がたくさん沸いてきて、DataとTypedDataの使い分けをしようにも

どちらをどう触ってよいのか分かりません。そのあたりを、README.EXTに

書いていただきたいです。

自分がドキュメントを書くことにやぶさかではないのですが、導入の動機や

これから拡張ライブラリを作る人にどういう扱いをして欲しいかという

大事な点が分かっていないので、ささださんにぜひ導入者として責任を持って

書いていただきたいです。(もしささださん以外にTypedDataをよく分かって

いる方がいるならば、もちろんどなたでも構いません)

もっと具体的には、README.EXTの3.3「CのデータをRubyオブジェクトにする」

あたりの次と、Appendix B.の「** Cデータのカプセル化」の項などについて、

TypedDataの場合を追記して欲しいです。もちろん外部に使って欲しくなくて

「触るなキケン」ならば、その旨だけ書けば、詳細はいらないと思います。

加えて、TypedData新設の動機・メリットを示す形で、NEWSにも書いて欲しいです。

=end

Related issues:

Blocked by Ruby - Misc #11061: doc/extension.ja.rdoc 査読依頼 Closed

History

#1 - 04/01/2010 02:20 AM - ko1 (Koichi Sasada)

=begin

(2010/04/01 0:03), Tadashi Saito wrote::

...

加えて、TypedData新設の動機・メリットを示す形で、NEWSにも書いて欲しいです。

 　今までも，追加してもドキュメントしていない機能は沢山あって，それは使っ

たらやばい機能だろう，と認識されているだろうと思っていました．そもそ

も，README.EXT しか読まない人は，ruby のソースを読んで，これはなんだろ

う，とは思わないんじゃないでしょうか．

　どちらかというと 1.9.2 では黙って入れて，undocumented だけどちょっとづ

つ情報が出ていって，問題が出たらこっそり 1.9.3 で直そうかなあ，とかそん

な感じでした．公式 API です，とはあまり言いたくないなぁ，とか．

　というわけで，あまり明文化は積極的ではないですが，どなたか書いて下さる

ことには反対しません．
--

// SASADA Koichi at atdot dot net

=end

#2 - 04/01/2010 02:20 AM - ko1 (Koichi Sasada)

=begin

(2010/04/01 0:03), Tadashi Saito wrote::

...

加えて、TypedData新設の動機・メリットを示す形で、NEWSにも書いて欲しいです。

 　今までも，追加してもドキュメントしていない機能は沢山あって，それは使っ

たらやばい機能だろう，と認識されているだろうと思っていました．そもそ

も，README.EXT しか読まない人は，ruby のソースを読んで，これはなんだろ

う，とは思わないんじゃないでしょうか．

　どちらかというと 1.9.2 では黙って入れて，undocumented だけどちょっとづ

つ情報が出ていって，問題が出たらこっそり 1.9.3 で直そうかなあ，とかそん

な感じでした．公式 API です，とはあまり言いたくないなぁ，とか．

　というわけで，あまり明文化は積極的ではないですが，どなたか書いて下さる

ことには反対しません．

--

// SASADA Koichi at atdot dot net

=end

#3 - 04/04/2010 01:02 PM - naruse (Yui NARUSE)

- Category set to doc

- Status changed from Open to Rejected

=begin

「触るなキケン」なので reject という理解でいいですかね

=end

#4 - 04/13/2015 09:46 AM - yugui (Yuki Sonoda)

- Blocked by Misc #11061: doc/extension.ja.rdoc 査読依頼 added
